/*
 * Copyright 2018 NXP.
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void);

/*! @name PORTC7 (number 79), J4[1]/J500[B62]/GC7/SW1
  @{ */
#define BOARD_SW1_GPIO GPIOC /*!<@brief GPIO device name: GPIOC */
#define BOARD_SW1_PORT PORTC /*!<@brief PORT device name: PORTC */
#define BOARD_SW1_PIN 7U     /*!<@brief PORTC pin index: 7 */
                             /* @} */

/*! @name PORTE6 (number 7), J5[1]/J502[11]/GPIOE6/FTM3_CH1/SW2
  @{ */
#define BOARD_SW2_GPIO GPIOE /*!<@brief GPIO device name: GPIOE */
#define BOARD_SW2_PORT PORTE /*!<@brief PORT device name: PORTE */
#define BOARD_SW2_PIN 6U     /*!<@brief PORTE pin index: 6 */
                             /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitButtonsPins(void);

/*! @name PORTD0 (number 93), J500[A40]/J501[9]/GPIOD0/PWM_A0/LED0
  @{ */
#define BOARD_LED_GREEEN1_GPIO GPIOD /*!<@brief GPIO device name: GPIOD */
#define BOARD_LED_GREEEN1_PORT PORTD /*!<@brief PORT device name: PORTD */
#define BOARD_LED_GREEEN1_PIN 0U     /*!<@brief PORTD pin index: 0 */
                                     /* @} */

/*! @name PORTD1 (number 94), J500[A39]/J501[11]/GPIOD1/PWM_B0/LED1
  @{ */
#define BOARD_LED_YELLOW1_GPIO GPIOD /*!<@brief GPIO device name: GPIOD */
#define BOARD_LED_YELLOW1_PORT PORTD /*!<@brief PORT device name: PORTD */
#define BOARD_LED_YELLOW1_PIN 1U     /*!<@brief PORTD pin index: 1 */
                                     /* @} */

/*! @name PORTD2 (number 95), J500[A38]/J501[30]/GPIOD2/PWM_A1/LED2
  @{ */
#define BOARD_LED_GREEN2_GPIO GPIOD /*!<@brief GPIO device name: GPIOD */
#define BOARD_LED_GREEN2_PORT PORTD /*!<@brief PORT device name: PORTD */
#define BOARD_LED_GREEN2_PIN 2U     /*!<@brief PORTD pin index: 2 */
                                    /* @} */

/*! @name PORTD3 (number 96), J500[A37]/J501[32]/GPIOD3/PWM_B1/LED3
  @{ */
#define BOARD_LED_YELLOW2_GPIO GPIOD /*!<@brief GPIO device name: GPIOD */
#define BOARD_LED_YELLOW2_PORT PORTD /*!<@brief PORT device name: PORTD */
#define BOARD_LED_YELLOW2_PIN 3U     /*!<@brief PORTD pin index: 3 */
                                     /* @} */

/*! @name PORTD4 (number 97), J500[B40]/J501[34]/GPIOD4/PWM_A2/LED4
  @{ */
#define BOARD_LED_GREEN3_GPIO GPIOD /*!<@brief GPIO device name: GPIOD */
#define BOARD_LED_GREEN3_PORT PORTD /*!<@brief PORT device name: PORTD */
#define BOARD_LED_GREEN3_PIN 4U     /*!<@brief PORTD pin index: 4 */
                                    /* @} */

/*! @name PORTD5 (number 98), J500[B39]/J501[36]/GPIOD5/PWM_B2/LED5
  @{ */
#define BOARD_LED_YELLOW3_GPIO GPIOD /*!<@brief GPIO device name: GPIOD */
#define BOARD_LED_YELLOW3_PORT PORTD /*!<@brief PORT device name: PORTD */
#define BOARD_LED_YELLOW3_PIN 5U     /*!<@brief PORTD pin index: 5 */
                                     /* @} */

/*! @name PORTC1 (number 71), J500[B38]/J501[26]/GPIOC1/PWM_A3/LED6
  @{ */
#define BOARD_LED_GREEN4_GPIO GPIOC /*!<@brief GPIO device name: GPIOC */
#define BOARD_LED_GREEN4_PORT PORTC /*!<@brief PORT device name: PORTC */
#define BOARD_LED_GREEN4_PIN 1U     /*!<@brief PORTC pin index: 1 */
                                    /* @} */

/*! @name PORTC2 (number 72), J500[B37]/J501[28]/GPIOC2/PWM_B3/LED7
  @{ */
#define BOARD_LED_YELLOW4_GPIO GPIOC /*!<@brief GPIO device name: GPIOC */
#define BOARD_LED_YELLOW4_PORT PORTC /*!<@brief PORT device name: PORTC */
#define BOARD_LED_YELLOW4_PIN 2U     /*!<@brief PORTC pin index: 2 */
                                     /* @} */

/*! @name PORTB23 (number 69), J4[3]/J500[C37]/J502[9]/GPIOB23/PWM_X3/LED8
  @{ */
#define BOARD_LED_ORANGE_GPIO GPIOB /*!<@brief GPIO device name: GPIOB */
#define BOARD_LED_ORANGE_PORT PORTB /*!<@brief PORT device name: PORTB */
#define BOARD_LED_ORANGE_PIN 23U    /*!<@brief PORTB pin index: 23 */
                                    /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitLEDsPins(void);

#define SOPT5_UART1RXSRC_UART_RX 0x00u /*!<@brief UART 1 receive data source select: UART1_RX pin */
#define SOPT5_UART1TXSRC_UART_TX 0x00u /*!<@brief UART 1 transmit data source select: UART1_TX pin */

/*! @name PORTE0 (number 1), J500[A44]/J501[5]/J505[4]/GPIOE0/TXD1
  @{ */
#define BOARD_DEBUG_UART_TX_PORT PORTE /*!<@brief PORT device name: PORTE */
#define BOARD_DEBUG_UART_TX_PIN 0U     /*!<@brief PORTE pin index: 0 */
                                       /* @} */

/*! @name PORTE1 (number 2), J500[A43]/J501[7]/J506[4]/GPIOE1/RXD1
  @{ */
#define BOARD_DEBUG_UART_RX_PORT PORTE /*!<@brief PORT device name: PORTE */
#define BOARD_DEBUG_UART_RX_PIN 1U     /*!<@brief PORTE pin index: 1 */
                                       /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitDEBUG_UARTPins(void);

/*! @name PORTA18 (number 50), Y1[1]/J500[B24]/J502[10]/GPIOA18/EXTAL_J
  @{ */
#define BOARD_EXTAL0_PORT PORTA /*!<@brief PORT device name: PORTA */
#define BOARD_EXTAL0_PIN 18U    /*!<@brief PORTA pin index: 18 */
                                /* @} */

/*! @name PORTA19 (number 51), Y1[2]/J502[8]/GPIOA19/XTAL_J
  @{ */
#define BOARD_XTAL0_PORT PORTA /*!<@brief PORT device name: PORTA */
#define BOARD_XTAL0_PIN 19U    /*!<@brief PORTA pin index: 19 */
                               /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitOSCPins(void);

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
